# binaryninja.types.Symbol

class `binaryninja.types.``Symbol`(sym_type, addr, short_name, full_name=None, raw_name=None, handle=None)

  Symbols are defined as one of the following types:

  > SymbolType | Description
  > --- | ---
  > FunctionSymbol | Symbol for Function that exists in the current binary
  > ImportAddressSymbol | Symbol defined in the Import Address Table
  > ImportedFunctionSymbol | Symbol for Function that is not defined in the current binary
  > DataSymbol | Symbol for Data in the current binary
  > ImportedDataSymbol | Symbol for Data that is not defined in the current binary

  `__init__`(sym_type, addr, short_name, full_name=None, raw_name=None, handle=None)

  Methods

  `__init__`(sym_type, addr, short_name[, ...]) |

  Attributes

  `address` | Symbol address (read-only)
  `auto` |
  `full_name` | Symbol full name (read-only)
  `name` | Symbol name (read-only)
  `raw_name` | Symbol raw name (read-only)
  `short_name` | Symbol short name (read-only)
  `type` | Symbol type (read-only)